Bug 64691 - (IDE IDE-CDROM)Multiple mount commands required to mount a CDROM
(IDE IDE-CDROM)Multiple mount commands required to mount a CDROM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 14:33 EDT by David L. Gehrt
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. Gehrt 2002-05-09 14:33:49 EDT
Description of Problem: When attempting to mount a cdrom on my 
Toshiba 1805-S274 laptop's UJDA710, ATAPI CD/DVD-ROM drive I have 
to issue two mount commands to get the CDROM  mounted.  The first 
mount command fails with the following log entries:

May  9 10:55:50 dlg kernel: Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0,
lun 0
May  9 10:55:50 dlg kernel: sr0: scsi3-mmc drive: 24x/24x writer \
cd/rw xa/form2 cdda tray
May  9 10:55:50 dlg kernel: Uniform CD-ROM driver Revision: 3.12
May  9 10:56:12 dlg kernel: sr0: CDROM (ioctl) reports ILLEGAL \
REQUEST.
May  9 10:56:12 dlg kernel: cdrom: open failed.

Version-Release number of selected component (if applicable):
Uniform CD-ROM driver Revision: 3.12
mount-2.11n-12  

How Reproducible:
Every mount, including whn running anaconda to install or uopgrade.

Steps to Reproduce:
1. Insert a CD in the CD/DVDROM drive
2. Issue a "mount /mnt/cdrom" command
3. Observe the "mount: No medium found" message
4. issue another "mount /mnt/cdrom" command
Actual Results:
Now the cdrom IS mounted

Expected Results:
the mount should succeed with the first mount.

Additional Information:
Comment 1 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.